/*******************************************************************/
/* Excercise 4                                                     */
/*******************************************************************/
/*******************************************************************/
/**create a package with several methods                          **/
/**package will be accessed in next exercise                      **/
/*******************************************************************/

/* two parts to change         */
/* 1. package conv.convert     */
/* 2. endpackage;              */

proc ds2;

/* 1. package conv.convert     */
   package conv.convert / overwrite = yes ;
/* ^^^^^^^ ^^^^^   */
 method C_to_F(INTEGER C) returns DOUBLE;
  /* convert degrees fahrenheit to degrees celsius */
  return 32 + (C *  (9. / 5.));
 end;

 method C_to_F(INTEGER C, IN_OUT DOUBLE F);
  /* convert degrees fahrenheit to degrees celsius */
    F = 32 + (C *  (9. / 5.));
 end;

 method IN_to_CM(DOUBLE inch) returns double;
  return inch * 2.54;
 end;

 method F_to_C(DOUBLE F) returns DOUBLE;
  /* convert degrees fahrenheit to degrees celsius */
  return (F - 32) * (5. / 9.);
 end;

 method F_to_C(INTEGER F) returns DOUBLE;
  /* convert degrees fahrenheit to degrees celsius */
  return (F - 32) * (5. / 9.);
 end;

 method F_to_C(IN_OUT INTEGER F, IN_OUT DOUBLE C);
  /* convert degrees fahrenheit to degrees celsius */
  C = (F - 32) * (5. / 9.);
 end;

method C_to_F(DOUBLE C) returns DOUBLE;
  /* convert degrees fahrenheit to degrees celsius */
  return 32 + (C *  (9. / 5.));
 end;

 method CM_to_IN(DOUBLE cm) returns double;
  return cm * 0.3937008 ;
 end;
/* 2. endpackage;              */
   endpackage;
/* ^^^^^^^^^^; */
run;
quit;
