/*******************************************************************/
/* Excercise 5                                                     */
/*******************************************************************/
/*******************************************************************/
/**call package methods from compiled package                     **/
/*******************************************************************/

/* three parts to change                    */
/* 1. declare package conv.convert cnv();   */
/* 2.    degF1 = cnv.c_to_F(degC);		    */
/* 3.    cnv.c_to_F(degC, degF2);		    */

proc DS2 ;
data ds2DegF_5 (keep=(degC degF1 degF2) overwrite=YES)
     ds2AvgF_5 (keep=(avgF1 avgF2) overwrite=YES)
     ;
declare integer degC   ;
declare double  degF1  having label 'Temperature in Farenheit (1)' format F6.1;
declare double  degF2  having label 'Temperature in Farenheit (2)' format F6.1;
declare double  avgF1  having label 'Average Temperature in Farenheit (1)' format F6.1;
declare double  avgF2  having label 'Average Temperature in Farenheit (2)' format F6.1;
declare double  sum1  sum2;
declare integer cnt;
/* 1. declare package conv.convert cnv();   */
declare package conv.convert cnv();		 
retain sum1 sum2 cnt;

method init();
    sum1 = 0;
    sum2 = 0;
    cnt = 0;
end;
    
method run();
    set ds2DegC;
/* 2.    degF1 = cnv.c_to_F(degC);		    */
    degF1 = cnv.c_to_F(degC);		
    sum1 = sum1 + degF1;

/* 3.    cnv.c_to_F(degC, degF2);		    */
    cnv.c_to_F(degC, degF2);		
    sum2 = sum2 + degF2;
    cnt = cnt + 1;
    output ds2degF_5;
end;

method term();
    avgF1 = sum1 / cnt;
    avgF2 = sum2 / cnt;
    output ds2AvgF_5;
end;

enddata;	
run;
quit;
